﻿@model Forum.WEB.ViewModel.AddDiscussionTopicViewModel
@{
    ViewData["Title"] = "Все обсуждение в теме";
}

<h2>@Model.discussionTopicViewModel.Topic</h2>
<table class="table">
    @foreach (var discussion in Model.discussionTopicViewModel.Discussions)
    {
        <tr>
            <div>
                <td>    
                    <form asp-action="Index" asp-controller="Discussion" method="get">
                            <input type="hidden" name="discussionId" value="@discussion.Id" />
                            <button type="submit" class="btn button">
                                <div>@discussion.UserFullName</div>
                                <div>@discussion.DiscussionMessage</div>
                            </button>       
                    </form>
                </td>
                @if (User.IsInRole("Admin") || User.IsInRole("Root"))
                {
                    <td>
                        <form asp-action="EditDiscussion" asp-controller="Discussion" method="get" >
                            <input type="hidden" name="discussionId" value="@discussion.Id" />
                            <button type="submit" class="btn btn-sm btn-success">
                                Редактировать
                            </button>
                        </form>

                        <form asp-action="DeleteDiscussion" asp-controller="Discussion" method="post" >
                            <input type="hidden" name="discussionId" value="@discussion.Id" />
                            <input type="hidden" name="topicId" value="@discussion.TopicId" />
                            <button type="submit" class="btn btn-sm btn-danger">
                                Удалить
                            </button>
                        </form>
                    </td>
                }
            </div>
        </tr>
    }
</table>

<footer>
@if (User.Identity.IsAuthenticated)
{
    <form asp-action="CreatDiscussion" asp-controller="Discussion" method="get">
        <input type="hidden"  asp-for="TopicId" value = "@Model.discussionTopicViewModel.Id"/>
@*        <input type="hidden"  asp-for="UserFullName" value = "@User.Identity.Name"/>*@
        <input type="submit" value="Добавить Обсужение" class="btn button" />
    </form>
}
</footer>
